%define upstream_name    HTTP-XSCookies
%define upstream_version 0.000021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Fast XS cookie mangling for Perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
This module implements cookie creation (baking) and parsing (crushing)
using XS, therefore improving the speed of a pure Perl implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.0.21-11.mga10
+ Revision: 2087763
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 0.0.21-10.mga10
+ Revision: 2009887
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.0.21-9.mga9
+ Revision: 1861964
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.0.21-8.mga9
+ Revision: 1795798
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.0.21-7.mga9
+ Revision: 1726718
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.0.21-6.mga8
+ Revision: 1594814
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.0.21-5.mga8
+ Revision: 1529040
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.0.21-4.mga8
+ Revision: 1433005
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.0.21-3.mga7
+ Revision: 1293188
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 0.0.21-2.mga7
+ Revision: 1248004
- Rebuild for new perl 5.28.0

* Sun Mar 11 2018 guillomovitch <guillomovitch> 0.0.21-1.mga7
+ Revision: 1208108
- new version 0.000021

* Sat Mar 10 2018 guillomovitch <guillomovitch> 0.0.19-1.mga7
+ Revision: 1207937
- new version 0.000019

* Thu Mar 08 2018 guillomovitch <guillomovitch> 0.0.16-1.mga7
+ Revision: 1207422
- new version 0.000016

* Mon Oct 02 2017 tv <tv> 0.0.14-2.mga7
+ Revision: 1164839
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 guillomovitch <guillomovitch> 0.0.14-1.mga7
+ Revision: 1159901
- imported package perl-HTTP-XSCookies


* Tue Sep 26 2017 cpan2dist 0.000014-1mga
- initial mageia release, generated with cpan2dist
